/* Inician Styles of cover page */
.title-container {
  width: 100%;
  height: 250px;
  position: absolute;
  text-align: left;
  padding: 1em 20px;
  color: #fff;
  background: rgb(0 0 0 / 45%);
}

.fondo-color {
  background-color: rgba(0, 0, 0, 0.35);
}

@keyframes fadeIn {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.title-container h1 {
  font-size: 3.5em;
  margin: 0;
  letter-spacing: 2px;
  color: white;
  text-shadow: 0 0 5px black;
}

.title-container p {
  font-size: 2em;
  margin-top: 10px;
  text-shadow: 0 0 5px black;
}

.cover-container {
  width: auto;
  color: #fff;
  opacity: 0.2;
  transform: translateY(-20px);
  animation: fadeIn 1s ease-in-out forwards;
}

.cover-container img {
  width: 100%;
  height: 250px;
  object-fit: cover;
  overflow: hidden;
}
/* Terminan Styles cover page */


/* Inician Styles */

.autoplay-btn {
  top: 1em;
}

#modalTitle {
    text-align: center;
    position: absolute;
    z-index: 1;
    bottom: 2em;
    left: 0;
    width: fit-content;
    color: lightgoldenrodyellow;
    background-color: rgba(0, 0, 0, 0.459);
    margin: 0;
    font-size: medium;
    border-radius: 10px;
    padding: 10px;
    right: 0;
    margin: auto;
}

.gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 2rem;
  max-width: 1300px;
  margin: 0 auto;
  padding: 20px;
  background-color: whitesmoke;
  border-radius: 8px;
  margin-top: 10px;
  margin-bottom: 30px;
}

.gallery-item {
  position: relative;
  overflow: hidden;
  border-radius: 8px;
  background-color: white;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out;
  padding:0;
}

.the_title {
  position: sticky;
  width: 100%;
  background-color: #fff;
  padding-top: 10px;
  padding: 10px;
}

.gallery-item h2 {
  font-size: medium;
  text-align: center;
  text-decoration: none;
}

.gallery .gallery-item img {
  width: 100%;
  height: 350px;
  max-height: 350px;
  object-fit: cover;
  transition: transform 0.3s ease;
}
  
.gallery .gallery-item:hover img {
  /*filter: grayscale(50%);*/
  filter: brightness(115%);  
  transform: scale(1.1);
  overflow: hidden;
  cursor: pointer;
}


.mycarousel-container {
  min-width: 100%;
  position: relative;
  overflow: hidden;
  width: 100%;
  height: auto;
  background: rgba(0, 0, 0, 0.85);
  }

.thumbnails {
max-width:90vw;
display: flex;
position: absolute;
bottom: 1em;
background: #f5f5f5b3;
overflow-x: auto;
justify-content:left;
margin-top: 10px;
border-radius: 5px;
scrollbar-width: thin;
padding: 10px;
margin: auto;
left: 0;
right: 0;
width: fit-content;
gap: 5px;
} 

.thumbnail {
width: 100px;
border-radius: 5%;
transition: border-color 0.3s;
background: whitesmoke;
top: 100px;
border-radius: 2px;
border: 2px solid;
border-color: whitesmoke !important;
box-shadow: 5px 4px 2px 1px rgb(0 0 0 / 25%);

flex: 0 0 auto;
margin: 5px;
cursor: pointer;
padding: 5px;
height: auto;
overflow: hidden;
}

.thumbnail img {
display: flex;
object-fit: contain;
width: 100%;
height: 50px;
border-radius: 5px;
transition: transform 0.3s;
justify-self: center;
}

.thumbnail img:hover {
  transform: scale(1.2);
}


.thumbnail.active {
border-color: white;
transform: scale(1.2); /* Adjust the scale factor for the active thumbnail */
background: white;
}

.thumbnail:not(.active) {
transform: scale(1); /* Adjust the scale factor for the hovered inactive thumbnail */
}

.prev, .next {
position: absolute;
top: 50%;
width: auto;
margin-top: -30px;
padding: 16px;
color: white;
font-size: 20px;
cursor: pointer;
background-color: #333333ba;
border: none;
border-radius: 4px;
transition: background-color 0.3s;
}

.prev:hover, .next:hover {
background-color: #55555575;
}

.prev {
left: 0;
}

.next {
right: 0;
}


@media (max-width: 1024px) {
  .mycarousel-item img {
    object-fit: contain !important;
  }
  }


@media screen and (min-width: 767px) {
.thumbnails {
  display: flex;
  position: absolute;
  justify-content: normal;
  align-items: center;
  top: 6em;
  width: fit-content;
  flex-flow: column;
  left: 3em;
  border-radius: 5px;
  padding: 20px;
  background: #f5f5f5b3;
  overflow-y: auto;
  overflow-x: hidden;
  scrollbar-width: thin;
  row-gap: 1em;
  margin: 0;
  height: 80vh;
  max-height: fit-content;
}

.thumbnail img {
    width: auto;
    height: 130px;
    object-fit: contain;
    padding: 0;
    margin: 0;
    border: 0;
}

.thumbnail {
    width: auto;
    height: auto;
    cursor: pointer;
    transition: border-color 0.3s;
    flex: 0 0 auto;
    border-radius: 2px;
    padding: 5px;
    margin: 10px;
    background: white;
}

}


  /* Inician Styles Modal touch slider zoom */

  .mymodal {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    margin: auto;
    background: rgba(0, 0, 0, 0.8);
    z-index: 1;

    min-width: 100%;
    overflow: hidden;
    width: 100%;
    height: 100vh;

    /*
    justify-content: center;
    align-items: center;
    */
  }

  .mymodal-close, .close-btn {
    position: absolute;
    z-index: 1;
    top: 1em;
    left: 1em;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 20px !important;
    cursor: pointer;
    background-color: rgba(102, 102, 102, 0.845);
    color: white;
    border: none;
    border-radius: 50%;
    padding: 5px;
    width: 40px;
    height: 40px;
    text-align: center;
    align-content: center;
  }

  .mymodal-close:hover, .close-btn:hover, #playPauseBtn:hover {
    filter: brightness(150%);
  }

  .mymodal-arrow {
    font-family: Arial, Helvetica, sans-serif;
    user-select: none;
    position: absolute;
    z-index: 1;
    top: 50%;
    width: auto;
    margin-top: -30px;
    padding: 16px;
    color: white;
    font-size: 20px;
    cursor: pointer;
    background-color: #333333ba;
    border: none;
    border-radius: 4px;
    transition: background-color 0.3s;
  }

  .mymodal-prev {
    left: 10px;
  }

  .mymodal-next {
    right: 10px;
  }

.mymodal-content {
  max-width: 100vw;
  margin: auto; 
}
  
.zoom-container {
  overflow: hidden;
}

.zoom-container img {
  width: 100%;
  height: 100vh;
  object-fit: contain;
  cursor: zoom-in;
  max-height: 100vh;
  min-width: 100vw;
}

a {
  text-decoration: none;
}


@media (max-width: 768px) {
#modalTitle {
left: 0;
right: 0;
margin: auto;
font-size: large;
bottom: 7em;
}

.mymodal-arrow {
display: none;
}

.mymodal-content {
max-width: 100vw;
}

.mymodal {
padding: 0;
}
}


#playPauseBtn {
  position: absolute;
  z-index: 1;
  top: 1em;
  right: 20px;
  width: 50px;
  height: 50px;
  color: white;
  background-color: brown;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: Arial, Helvetica, sans-serif;
  user-select: none;
}

/* Terminan Styles modal sliderzoom

/* Styles para script de zoom */
#container-zoom {
position: relative;
width: 100%;
height: 100vh;
overflow: hidden;
}

#zoomImage {
width: 100%;
height: auto;
top: 0;
left: 0;
}
 
/* Terminan Styles */